<?php
/**
 * Typography
 *
 * @package News Revolution
 */

$wp_customize->add_section(
	'news_revolution_typography',
	array(
		'panel' => 'news_revolution_theme_options',
		'title' => esc_html__( 'Typography', 'news-revolution' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'news_revolution_site_title_font',
	array(
		'default'           => 'Commissioner',
		'sanitize_callback' => 'news_revolution_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'news_revolution_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'news-revolution' ),
		'section'  => 'news_revolution_typography',
		'settings' => 'news_revolution_site_title_font',
		'type'     => 'select',
		'choices'  => news_revolution_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'news_revolution_site_description_font',
	array(
		'default'           => 'Aleo',
		'sanitize_callback' => 'news_revolution_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'news_revolution_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'news-revolution' ),
		'section'  => 'news_revolution_typography',
		'settings' => 'news_revolution_site_description_font',
		'type'     => 'select',
		'choices'  => news_revolution_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'news_revolution_header_font',
	array(
		'default'           => 'Mulish',
		'sanitize_callback' => 'news_revolution_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'news_revolution_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'news-revolution' ),
		'section'  => 'news_revolution_typography',
		'settings' => 'news_revolution_header_font',
		'type'     => 'select',
		'choices'  => news_revolution_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'news_revolution_body_font',
	array(
		'default'           => 'Mulish',
		'sanitize_callback' => 'news_revolution_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'news_revolution_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'news-revolution' ),
		'section'  => 'news_revolution_typography',
		'settings' => 'news_revolution_body_font',
		'type'     => 'select',
		'choices'  => news_revolution_get_all_google_font_families(),
	)
);
